com.genesyslab.wfm8.API.service.schedule800

## Class SchNotification

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchNotification

- All Implemented Interfaces:
    java.io.Serializable

      public class SchNotification
      extends java.lang.Object
      implements java.io.Serializable

  Stores all schedule changes from one point of time to another.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchAuditDay>` | `changes` A list of `SchAuditDay` that have been modified.
    `protected int` | `changesNSizeIs` Number of elements in "changes" array
    `protected SchAgentDayHolder` | `schedules` `SchAgentDayHolder` contains schedule and related information
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` New timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchNotification()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchAuditDay>` | `getChanges()` Gets the value of the changes property.
    `int` | `getChangesNSizeIs()` Gets the value of the changesNSizeIs property.
    `SchAgentDayHolder` | `getSchedules()` Gets the value of the schedules property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setChanges(java.util.List<SchAuditDay> changes)` Sets the value of the changes property.
    `void` | `setChangesNSizeIs(int value)` Sets the value of the changesNSizeIs property.
    `void` | `setSchedules(SchAgentDayHolder value)` Sets the value of the schedules property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `SchNotification` | `withChanges(java.util.Collection<SchAuditDay> values)`
    `SchNotification` | `withChanges(SchAuditDay... values)`
    `SchNotification` | `withChangesNSizeIs(int value)`
    `SchNotification` | `withSchedules(SchAgentDayHolder value)`
    `SchNotification` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### timestamp

          protected long timestamp

      New timestamp value

    - #### changesNSizeIs

          protected int changesNSizeIs

      Number of elements in "changes" array

    - #### changes

          protected java.util.List<SchAuditDay> changes

      A list of `SchAuditDay` that have been modified. It identifies all schedule agent days that have changed. Schedule details for those days can be found in SchNotification.schedules member and are uniquely identified by combination of SchAuditDay.gswAgentID + SchAuditDay.wmDate + SchAuditDay.newTimestamp (or SchAuditDay.oldTimestamp).

    - #### schedules

          protected SchAgentDayHolder schedules

      `SchAgentDayHolder` contains schedule and related information

  - ### Constructor Detail

    - #### SchNotification

          public SchNotification()

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### getChangesNSizeIs

          public int getChangesNSizeIs()

      Gets the value of the changesNSizeIs property.

    - #### setChangesNSizeIs

          public void setChangesNSizeIs(int value)

      Sets the value of the changesNSizeIs property.

    - #### getChanges

          public java.util.List<SchAuditDay> getChanges()

      Gets the value of the changes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the changes property.

      For example, to add a new item, do as follows:

              getChanges().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAuditDay`

    - #### getSchedules

          public SchAgentDayHolder getSchedules()

      Gets the value of the schedules property.
      Returns:
        possible object is `SchAgentDayHolder`

    - #### setSchedules

          public void setSchedules(SchAgentDayHolder value)

      Sets the value of the schedules property.
      Parameters:
        `value` - allowed object is `SchAgentDayHolder`

    - #### withTimestamp

          public SchNotification withTimestamp(long value)

    - #### withChangesNSizeIs

          public SchNotification withChangesNSizeIs(int value)

    - #### withChanges

          public SchNotification withChanges(SchAuditDay... values)

    - #### withChanges

          public SchNotification withChanges(java.util.Collection<SchAuditDay> values)

    - #### withSchedules

          public SchNotification withSchedules(SchAgentDayHolder value)

    - #### setChanges

          public void setChanges(java.util.List<SchAuditDay> changes)

      Sets the value of the changes property.
      Parameters:
        `changes` - allowed object is `SchAuditDay`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.